%define upstream_name	 IO-String
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	A Perl module to read from strings
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
IO::String is an IO::File (and IO::Handle) compatible class that read or
write data from in-core strings.  It is really just a simplification of
what I needed from Eryq's IO-stringy modules.  As such IO::String is a
replacement for IO::Scalar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/IO
%_mandir/man3/IO::String.3pm*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.80.0-10.mga9
+ Revision: 1804141
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.80.0-9.mga8
+ Revision: 1495164
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.80.0-8.mga7
+ Revision: 1268834
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1028787
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 937971
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 739023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 685085
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 512349
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 368575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 12257
- imported package perl-IO-String


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 407787
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.08-4mdv2009.0
+ Revision: 241560
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-2mdv2008.0
+ Revision: 86510
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not hardcode bz2 extension


* Mon Dec 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.08-1mdk
- 1.08

* Wed Oct 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.07-1mdk
- 1.07
- Fix URL, change summary

* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 1.06-2mdk
- rebuild
- update url

* Tue Nov 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.06-1mdk
- 1.06

* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.05-1mdk
- 1.05

* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.04-1mdk
- 1.04
- perl 5.8.3 rebuild

* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-1mdk
- 1.03
- perl 5.8.2 rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.02-5mdk
- Use %%makeinstall_std now that it works on klama
- Remove bad build options and don't use the %%make
  macro for test.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.02-4mdk
- Forgot DESTDIR on %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 1.02-3mdk
- Fix install for new perl
- Macrofication
- Fix man path
- unpackaged perllocal.pod

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-1mdk
- 1.02

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.01-1mdk 
- first version of rpm.

